UserModelRoleListCoupleWrapper (UserManagement-ws 1.0.2-3.3.0 API)
Date: 2014-07-19

org.gcube.vomanagement.usermanagement.ws.utils

## Class UserModelRoleListCoupleWrapper

- java.lang.Object
- - org.gcube.vomanagement.usermanagement.ws.utils.UserModelRoleListCoupleWrapper

-     public class UserModelRoleListCoupleWrapper
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserModelRoleListCoupleWrapper()`
    `UserModelRoleListCoupleWrapper(org.gcube.vomanagement.usermanagement.model.UserModel userModel, List<org.gcube.vomanagement.usermanagement.model.RoleModel> roleModels)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.gcube.vomanagement.usermanagement.model.RoleModel>` | `getRoleModels()`
    `org.gcube.vomanagement.usermanagement.model.UserModel` | `getUserModel()`
    `void` | `setRoleModels(List<org.gcube.vomanagement.usermanagement.model.RoleModel> roleModels)`
    `void` | `setUserModel(org.gcube.vomanagement.usermanagement.model.UserModel userModel)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserModelRoleListCoupleWrapper

          public UserModelRoleListCoupleWrapper()

    - #### UserModelRoleListCoupleWrapper

          public UserModelRoleListCoupleWrapper(org.gcube.vomanagement.usermanagement.model.UserModel userModel,
                                        List<org.gcube.vomanagement.usermanagement.model.RoleModel> roleModels)

  - ### Method Detail

    - #### getUserModel

          public org.gcube.vomanagement.usermanagement.model.UserModel getUserModel()

    - #### setUserModel

          public void setUserModel(org.gcube.vomanagement.usermanagement.model.UserModel userModel)

    - #### getRoleModels

          public List<org.gcube.vomanagement.usermanagement.model.RoleModel> getRoleModels()

    - #### setRoleModels

          public void setRoleModels(List<org.gcube.vomanagement.usermanagement.model.RoleModel> roleModels)

Copyright © 2014. All Rights Reserved.